Bug 436611 - Review Request: perl-XML-Entities - Decode strings with XML entities
Review Request: perl-XML-Entities - Decode strings with XML entities
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Bachelot
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 05:26 EST by Remi Collet
Modified: 2008-04-04 12:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 12:51:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
xavier: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2008-03-08 05:26:03 EST
Spec URL: http://remi.fedorapeople.org/perl-XML-Entities.spec
SRPM URL: http://remi.fedorapeople.org/perl-XML-Entities-0.02-1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/perl-XML-Entities-build.log
Description: 
This module provides a mapping from the standard XML entities to their Unicode
characters. A function for decoding is provided. The mapping can be generated
from a DTD file with entity definitions.

------
- rpmlint is silent
- mock succed in rawhide
- test suite runs successfully

I propose this package because I Need it for http://www.ocsinventory-ng.org/ (comming soon to review).
Comment 1 Remi Collet 2008-03-08 05:32:33 EST
From CPAN, License is Unknown

From README :
This program is free software; you can redistribute it and/or modify it
under the same terms as Perl itself.
Comment 2 Xavier Bachelot 2008-04-03 08:46:32 EDT
+ spec file is legible
+ spec file name is OK
+ package name is OK
= trailing spaces in Summary:
+ License: matches upstream and is acceptable 
+ URL: is OK
+ Source: match upstream : 5081067743a516312dcf6a5c2b15db8e
+ latest version is packaged
= additional source generation is explained and can be reproduced, however the
tarball doesn't have the same MD5 hash as in the SRPM.
= the generated tarball name should be prefixed with the package name
+ BuildRoot: is OK
= the sed command would be better suited in the %%prep section, but it may not
be easily doable, I didn't look closely
+ macro usage is consistent
+ builds fine in mock F8 i386
+ all test succeed
+ docs are included and are not needed for the soft to run
+ package owns the dirs it creates
+ rpmlint output is empty
+ final Provides: looks good
+ final Requires: looks good
- BR:s perl(ExtUtils::Command::MM) perl(ExtUtils::MY) are not needed
Comment 3 Remi Collet 2008-04-03 12:50:40 EDT
Yes, i agree "sed" should be in %prep

But sed applies on Makefile created in %build and i don't succeed to patch the
Makefile.PL (PL_FILES directive cannot be used to pass options).

I think MD5 on additionnal source is different because of user/group stored in
the archive.

Other comments fixed in :
Spec URL: http://remi.fedorapeople.org/perl-XML-Entities.spec
SRPM URL: http://remi.fedorapeople.org/perl-XML-Entities-0.02-2.fc8.src.rpm

Scratch build in koji (i forget to bump the release before building): 
http://koji.fedoraproject.org/koji/taskinfo?taskID=546590
Comment 4 Xavier Bachelot 2008-04-03 16:32:08 EDT
Disabling the tests on rhel 4 is not acceptable. I assume you disabled them
because they are failing, but this is not the proper workaround, they are most
probably failing for a reason.
Remove this and I'll approve the package.
Comment 5 Remi Collet 2008-04-04 01:04:20 EDT
Test (re)enable on all distro.
I need to work on this (only EL4) issue.

Spec URL: http://remi.fedorapeople.org/perl-XML-Entities.spec
SRPM URL: http://remi.fedorapeople.org/perl-XML-Entities-0.02-3.fc8.src.rpm
Comment 6 Xavier Bachelot 2008-04-04 05:03:57 EDT
ok, looks good, APPROVED.
Comment 7 Remi Collet 2008-04-04 11:43:56 EDT
New Package CVS Request
=======================
Package Name: perl-XML-Entities
Short Description: Decode strings with XML entities
Owners: 
Branches: F-7, F-8, EL5, EL4
InitialCC: 
Cvsextras Commits: yes
Comment 8 Remi Collet 2008-04-04 11:44:40 EDT
New Package CVS Request
=======================
Package Name: perl-XML-Entities
Short Description: Decode strings with XML entities
Owners: remi
Branches: F-7, F-8, EL-5, EL-4
InitialCC: 
Cvsextras Commits: yes

Comment 9 Kevin Fenzi 2008-04-04 12:01:11 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.